<script setup lang="ts">
import { useReceiptStore } from '@/stores/receipt'
import { usePromotionStore } from '@/stores/promotion'
import type { ReceiptItem } from '@/types/ReceiptItem'
import { inject } from 'vue'
const receiptStore = useReceiptStore()
const promotionStore = usePromotionStore()
const openDialogEdit =
  inject<(r: ReceiptItem, index: number, unit: number) => void>('openDialogEdit') ?? function () {}
function edit(index: number, item: ReceiptItem) {
  if (item.product?.category == 'Drink') {
    //openDialogEdit(item, index, item.unit)
    receiptStore.editedReceiptItem = item
    receiptStore.dialog = true
  }
}
function removeReceiptItem(item: ReceiptItem) {
  receiptStore.removeReceiptItem(item)
  //promotionStore.promotionUnit(receiptStore.receiptItems)
}
</script>
<template>
  <v-table >
    <thead>
      <tr style="background-color: #403c3c; color: white;">
        <th style="font-weight: bold">#</th>
        <th style="font-weight: bold">Name</th>
        <th style="font-weight: bold">Type</th>
        <th style="font-weight: bold">Size</th>
        <th style="font-weight: bold">Sweet Level</th>
        <th style="font-weight: bold">Price</th>
        <th style="font-weight: bold">Unit</th>
        <th style="font-weight: bold">Total</th>
        <th></th>
        <th></th>
      </tr>
    </thead>
    <tbody style="background-color: #fff8f1">
      <tr v-for="(item, index) of receiptStore.receiptItems" :key="item.id">
        <td>{{ index + 1 }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.type }}</td>
        <td>{{ item.gsize }}</td>
        <td>{{ item.sweet_level }}</td>
        <td>{{ item.price }}</td>
        <td>
          <v-btn icon="mdi-minus-thick" density="compact" @click="receiptStore.dec(item)"></v-btn>
          {{ item.unit }}
          <v-btn icon="mdi-plus-thick" density="compact" @click="receiptStore.inc(item)"></v-btn>
        </td>
        <td>{{ item.price * item.unit }}</td>
        <td>
          <v-btn icon="mdi-pencil" density="compact" @click="edit(index, item)"></v-btn>
        </td>
        <td>
          <v-btn icon="mdi-delete" density="compact" @click="removeReceiptItem(item)"></v-btn>
        </td>
      </tr>
    </tbody>
  </v-table>
  <DialogNaJa></DialogNaJa>
</template>
<style scoped>
tbody tr:nth-of-type(even) {
  background-color: #dddcde;
}

tbody tr:nth-of-type(odd) {
  background-color: #f5f4f7;
}

thead {
  background-color: #dddcde;
  color: rgb(0, 0, 0);
  font-weight: bold;
}
.theme--light.v-data-table thead tr th {
  color: white;
}
th {
  font-weight: bold;
}
</style>
